
//    *** Processing code ***
//    scaled mouseX to serial
//
//   Sending data to the Arduino
//------------------------------- 
 
 import processing.serial.*;
 
 int rectSize = 20;  // Size of rectangle to track mouse
 Serial port;        // Create place in memory for serial communication
 
 void setup()  {
 size(255, 255);
 rectMode(CENTER);
 stroke(255);
 fill(153);
 
 println(Serial.list());   // print out available serial ports
 // Open the port that the Arduino board is connected to (in this case #0)
 // Make sure to open the port at the same speed Arduino is using (9600bps)
 port = new Serial(this, Serial.list()[1], 9600);
 }
 
 void draw()
 {
  background(0);
  rect(mouseX, 100, rectSize, rectSize);    // Draw the box                   
//  println(mouseX);                             
 
  port.write(mouseX);
  delay(10);     
 }
